<!doctype html>
<html lang="es">
<head>
<meta charset="UTF-8">
<title>Ernesto Gabriel Dávila Reyes</title>
<meta name="Description" content="01 Maquetación responsiva">
<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, shrink-to-feet=no">
    
 <style>
     /*Clase para el contenedor global*/
    .container{
     width: 100%; /* 800px */
     margin: auto; /*forza a centrado horizontal en la ventana*/
    }
     /*Observa que usamos medidas dinámicas*/
     section{ 
         background: #F9F5C9;
         margin: 1% 0;
         padding: 1% 0;
     }
     
     /*Clase usamos para interrupir la flotación*/
     .clear{ clear: both;}

     .col2 {
        background-color: pink;
        margin: 1% 0;
        width: 100% /* calc(100% /2) */;
        float: left;
        padding: 1%;
        box-sizing: border-box;
     }

     .col3 {
        background-color: pink;
        margin: 1% 0;
        width: 100% /* calc(100% / 3) */;
        float: left;
        padding: 1%;
        box-sizing: border-box;
     }
     
     .col5 {
        background-color: pink;
        margin: 1% 0;
        width: 100%;  /* Calcula el ancho mediante el 100% del ancho del padre calc(100% / 5)/ 5*/
        float: left;
        padding: 1%;
        box-sizing: border-box;
     }

     nav ul {
        margin: auto;
        width: 100%; /* 450px */
        background: cyan;
        padding: 0;
     }

     nav ul li {
        text-align: center;
        width: 33.33%;
        background: lightpink;
        list-style: none;
        padding: 10px 0;
        float: left;
     }

     nav ul li:hover {
        background: #E44DFE;
     }

     nav ul li a {
        text-decoration: none;
        color: darkblue;
     }

     @media screen and (min-width: 800px)  { /*Dado que container tiene tamaño de 800px empezamos desde ahí */
        body{ 
            margin: 0%; /*Evitar los pixeles extra de margen del body para desplegar en toda el area disponible */
        }

        .container {
            width: 800px;
        }

        nav ul {
            width: 450px;
        }

        .col2 {
            width: calc(100% / 2);
        }

        .col3 {
            width: calc(100% / 3);
        }

        .col5{
            width: calc(100% / 5);
        }
     }

     
</style>

</head>

<body>
    
    <div class="container">
        <header>
            NOMBRE DE LA PÁGINA
        </header>
        <nav>
            <ul>
                <li><a href="#">Opción 1</a></li>
                <li><a href="#">Opción 2</a></li>
                <li><a href="#">Opción 3</a></li>
                <br class="clear">
            </ul>
        </nav>
        <main>
            <section>

                <article class="col2">Mi columna 1</article>
                <article class="col2">Mi columna 2</article>
                <br class="clear">

            </section>

            <section>

                <article class="col3">Mi columna 1</article>
                <article class="col3">Mi columna 2</article>
                <article class="col3">Mi columna 3</article>
                <br class="clear">
            </section>

            <section>
                <article class="col5">Mi columna 1</article>
                <article class="col5">Mi columna 2</article>
                <article class="col5">Mi columna 3</article>
                <article class="col5">Mi columna 4</article>
                <article class="col5">Mi columna 5</article>
                <br class="clear">
            </section>

        </main>
        <footer>Información legal 2019</footer>
      
    </div>
    
</body>
</html>
